<?php
// セッションを開始
session_start();

// POSTでデータが送られてこなかったら、contact.phpにリダイレクト
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    header('Location: contact.php');
    exit;
}

// 入力値のサニタイズ
$postData = array_map('htmlspecialchars', $_POST);

// セッションのポストデータをクリア
unset($_SESSION['post_data']);
?>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>送信完了</title>
</head>
<body>
    <p>ありがとうございます。以下の内容でお問い合わせを受け付けました。</p>

    <!-- サニタイズされたデータを表示 -->
    <p>名前: <?php echo $postData['name']; ?></p>
    <p>フリガナ: <?php echo $postData['furigana']; ?></p>
    <p>電話番号: <?php echo $postData['phone']; ?></p>
    <p>メールアドレス: <?php echo $postData['email']; ?></p>
    <p>お問い合わせ内容: <?php echo nl2br($postData['message']); ?></p>
</body>
</html>
