<?php
// セッションを開始
session_start();

// エラーメッセージと入力データをセッションから取得
$errorMessages = isset($_SESSION['errors']) ? $_SESSION['errors'] : array();
$postData = isset($_SESSION['post_data']) ? $_SESSION['post_data'] : array();

// セッションのエラーメッセージをクリア
unset($_SESSION['errors']);
?>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>お問い合わせフォーム</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>
    <?php if (!empty($errorMessages)): ?>
        <div class="error-messages">
            <?php foreach ($errorMessages as $message): ?>
                <p><?php echo htmlspecialchars($message); ?></p>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>

    <form action="confirm.php" method="post">
        <!-- 以前の入力値をvalue属性で設定 -->
        <label for="name">名前：</label>
        <input type="text" id="name" name="name" required value="<?php echo htmlspecialchars($postData['name'] ?? ''); ?>"><br>

        <label for="furigana">フリガナ：</label>
        <input type="text" id="furigana" name="furigana" required value="<?php echo htmlspecialchars($postData['furigana'] ?? ''); ?>"><br>

        <label for="phone">電話番号：</label>
        <input type="text" id="phone" name="phone" required value="<?php echo htmlspecialchars($postData['phone'] ?? ''); ?>"><br>

        <label for="email">メールアドレス：</label>
        <input type="email" id="email" name="email" required value="<?php echo htmlspecialchars($postData['email'] ?? ''); ?>"><br>

        <label for="message">お問い合わせ内容：</label>
        <textarea id="message" name="message" required><?php echo htmlspecialchars($postData['message'] ?? ''); ?></textarea><br>

        <input type="submit" value="確認画面へ">
    </form>
</body>
</html>
